#include "common.h"


#include <cstring>
#include <cstdlib>
#include <Eigen/Dense>

using namespace Eigen;
using namespace std;


void GetCapacity()
{
	//////////////////////////////////////////////////////////////////////////////////////

	int count = 0;
	double sum = 0;
	double avr_capacity = 0;



	for (int ms_idx = 0; ms_idx < num_MS; ms_idx++)
	{
		if (ms[ms_idx]._capacity > 0)
		{
			sum += ms[ms_idx]._capacity;
			count++;
		}
	}

	avr_capacity = sum / (double)count;   //// 

	cout << " " << endl;
	//cout << "SINR = " << avr_capacity << "" << endl;

	//cout << "Average Spectral Efficiency = " << avr_capacity / bandwidth << "bits/s/Hz" << endl;
	//cout << "Shannon Capacity = " << avr_capacity / (pow(10, 6)) << "Mbits/s" << endl;

	//cout << "Area Traffic Capacity = " << ((double)num_BS / 6000.) * (avr_capacity / (pow(10, 6))) << "Mbits/s/m2" << endl;


	if (drop_idx == 0 && t == SCHEDULE_DELAY + 1)
	{
		Capacity_avr_per_drop = new double *[num_drop];

		for (int idx = 0; idx < num_drop; idx++)
		{
			Capacity_avr_per_drop[idx] = new double[run_times - 1];
		}

	}

	Capacity_avr_per_drop[drop_idx][t - (SCHEDULE_DELAY + 1)] = avr_capacity;

	//////////////////////////////////////////////////////////////////////////////////////




}